Bug 15455 - dmesg messges
dmesg messges
Status: CLOSED DUPLICATE of bug 6006
Product: Red Hat Linux
Classification: Retired
Component: magicdev (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 22:39 EDT by mal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-05 17:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mal 2000-08-04 22:39:32 EDT
As soon as Gnome started it starts polluting dmesg 
buffer.
Use any IDE workstation and while 
no CD is in CDROM you get a new message 

VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)

about every two seconds.
Use dmesg and you will see these messages.
When you put a CD to CDROM 
the message of above stops and you get

VFS: Disk change detected on device ide1(22,0)
ISO 9660 Extensions: Microsoft Joliet Level 1
ISO 9660 Extensions: RRIP_1991A

no dmesg buffer polluting any more.
The problem problem exists only when 
no CD is in the CDROM when GNOME is running.

use dmesg command to see messages of above.
Comment 1 Alan Cox 2000-08-05 17:18:09 EDT
This is magicdev. Turning it off is one cure (it just automounts cds in gnome).
Reassigned
Comment 2 Owen Taylor 2000-08-05 17:42:15 EDT
I don't know of a way of fixing this within magicdev. See Bug #6006
for extensive commentary. (Until someone tells me a good reason for the
printk(), I would consider it a kernel misfeature that it is printing
out these messsages, leaving aside the misdetection of media changes.)

*** This bug has been marked as a duplicate of 6006 ***

Note You need to log in before you can comment on or make changes to this bug.